<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Models\PerformanceRunPerson;

class PerformanceRun extends Model
{
    protected $fillable = [
        'performance_id',
        'theater',
        'start_date',
        'end_date',
        'sort_order',
        'notes',
    ];

    public function performance()
    {
        return $this->belongsTo(Performance::class);
    }

    public function runPeople()
    {
        return $this->hasMany(PerformanceRunPerson::class);
    }
}
